Skip to main content
GET
/
v2
/
messaging
/
conversations
/
{conversationId}
Get Conversation
curl --request GET \
  --url https://api.voxo.co/v2/messaging/conversations/{conversationId} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "sourceDID": "<string>",
  "participants": "<string>",
  "tenantId": 123,
  "hidden": 123,
  "name": "<string>",
  "conversationName": "<string>",
  "unreadCount": 123,
  "lastMessageId": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversationId
string
required

Conversation ID

Response

Conversation details

id
number
required

Conversation ID

createdAt
string | null
required

Created timestamp

updatedAt
string | null
required

Last updated timestamp

sourceDID
string
required

Source DID number

participants
string
required

Comma-separated participant numbers

tenantId
number
required

Tenant ID

hidden
number | null
required

Whether conversation is hidden (1/0)

name
string | null
required

Auto-generated conversation name

conversationName
string | null
required

User-assigned conversation name

unreadCount
number | null
required

Unread message count

lastMessageId
number | null
required

Last message ID